Index: openafs/doc/man-pages/pod1/aklog.pod
diff -c openafs/doc/man-pages/pod1/aklog.pod:1.1.2.3 openafs/doc/man-pages/pod1/aklog.pod:1.1.2.4
*** openafs/doc/man-pages/pod1/aklog.pod:1.1.2.3	Mon Jul 31 13:49:31 2006
--- openafs/doc/man-pages/pod1/aklog.pod	Thu Nov  9 19:00:05 2006
***************
*** 33,38 ****
--- 33,49 ----
  the cell name), but a different realm for a particular cell can be
  specified with B<-k>.  B<-k> cannot be used in B<-path> mode (see below).
  
+ When using B<aklog>, be aware that AFS uses the Kerberos v4 principal
+ naming format, not the Kerberos v5 format, when referring to principals in
+ PTS ACLs, F<UserList>, and similar locations.  AFS will internally map
+ Kerberos v5 principal names to the Kerberos v4 syntax by removing any
+ portion of the instance after the first period (generally the domain name
+ of a host principal), changing any C</> to C<.>, and changing an initial
+ principal part of C<host> to C<rcmd>.  In other words, to create a PTS
+ entry for the Kerberos v5 principal C<user/admin>, refer to it as
+ C<user.admin>, and for the principal C<host/shell.example.com>, refer to
+ it as C<rcmd.shell>.
+ 
  =head1 OPTIONS
  
  =over 4
***************
*** 113,119 ****
  
  When setting tokens, attempt to put the parent process in a new PAG.  This
  is usually used as part of the login process but can be used any time to
! create a new AFS authentication context.
  
  =item B<-zsubs>
  
--- 124,132 ----
  
  When setting tokens, attempt to put the parent process in a new PAG.  This
  is usually used as part of the login process but can be used any time to
! create a new AFS authentication context.  Note that this in some cases
! relies on dangerous and tricky manipulations of kernel records and will
! not work on all platforms or with all Linux kernels.
  
  =item B<-zsubs>
  
Index: openafs/doc/man-pages/pod8/afsd.pod
diff -c openafs/doc/man-pages/pod8/afsd.pod:1.5.2.7 openafs/doc/man-pages/pod8/afsd.pod:1.5.2.8
*** openafs/doc/man-pages/pod8/afsd.pod:1.5.2.7	Wed Mar  1 00:11:22 2006
--- openafs/doc/man-pages/pod8/afsd.pod	Thu Nov  9 18:57:07 2006
***************
*** 344,354 ****
  
  =head1 CAUTIONS
  
! Do not use the B<-shutdown> parameter. It does not shutdown the Cache
! Manager effectively. Instead, halt Cache Manager activity by using the
! standard UNIX B<umount> command to unmount the AFS root directory (by
! convention, F</afs>). The machine must then be rebooted to reinitialize
! the Cache Manager.
  
  =head1 OPTIONS
  
--- 344,359 ----
  
  =head1 CAUTIONS
  
! Before using the B<-shutdown> parameter, use the standard UNIX B<umount>
! command to unmount the AFS root directory (by convention, F</afs>).  On
! Linux, unloading the AFS kernel module and then loading it again before
! restarting AFS after B<-shutdown> is recommended.
! 
! AFS has for years had difficulties with being stopped and restarted
! without an intervening reboot.  While most of these issues have been
! ironed out, stopping and restarting AFS is not recommended unless
! necessary and rebooting before restarting AFS is still the safest course
! of action.
  
  =head1 OPTIONS
  
Index: openafs/doc/txt/winnotes/afs-changes-since-1.2.txt
diff -c openafs/doc/txt/winnotes/afs-changes-since-1.2.txt:1.13.2.78 openafs/doc/txt/winnotes/afs-changes-since-1.2.txt:1.13.2.80
*** openafs/doc/txt/winnotes/afs-changes-since-1.2.txt:1.13.2.78	Fri Oct  6 13:10:01 2006
--- openafs/doc/txt/winnotes/afs-changes-since-1.2.txt	Mon Jan 15 14:57:17 2007
***************
*** 1,4 ****
! Since 1.4.2-rc4 (1.4.2 released 7 Oct 2006)
  
   * Disable DNS Registrations for the Loopback Adapter and make sure
     that Netbios is turned on during installation.
--- 1,30 ----
! Since 1.4.2 (1.4.3-rc1 released 15 Jan 2007)
! 
!  * Increase the maximum number of stat cache entries to 262144
! 
!  * When offline folders are being used, the CIFS client passes 
!    the name of the entry to be renamed in all uppercase instead
!    of the case specified in the Explorer Shell.  Modify AFS to 
!    permit the rename when there is an inexact match.
! 
!  * VICECONNBAD and VICETOKENDEAD should force the use of a new
!    rx connection.  They should not be treated as fatal errors.
! 
!  * Fix afslogon.dll to not publish environment variables into 
!    the subprocesses started from winlogon.exe
! 
!  * Fix afslogon.dll to initialize and uninitialize winsock so 
!    that Kerberos 4 send_to_kdc() can succeed
! 
!  * Add DeleteReadOnly registry value.  When a file has the read-only
!    attribute set in Windows, it cannot be deleted.  DeleteReadOnly
!    when set to a non-zero value permits the deletion.  1.4.3 no 
!    longer permits it by default.
! 
!  * When opening a directory, CIFS read privilege requires PRSFS_LOOKUP
!    not PRSFS_READ.
! 
! Since 1.4.2-rc4 (1.4.2 released 16 Oct 2006)
  
   * Disable DNS Registrations for the Loopback Adapter and make sure
     that Netbios is turned on during installation.
***************
*** 19,24 ****
--- 45,54 ----
   * in an obscure error case, obtain the correct lock so
     that when we free it we don't panic
  
+  * afscreds: do not permit an attempt to obtain tokens if the
+    afs service could not be started.   this was causing stack
+    overflows on Vista after resuming from a suspend
+ 
  Since 1.4.2-rc3: (1.4.2-rc4 released 16 Sep 2006)
  
   * No changes
